PHP RPMs for Oracle

Good news everyone. We've just released a set of RPMs for PHP which include OCI8 and the Oracle PDO driver, as well as many other PHP extensions. These are for development testing only, as Oracle doesn't support them. The RPMs are based on PHP 5.2.3.

You can download the PHP RPMs from the oss.oracle.com site.

To install them:

  1. As root, run:

    rpm -ivh php-common-5.2.3-1.i386.rpm 
    php-cli-5.2.3-1.i386.rpm php-5.2.3-1.i386.rpm

  2. To verify the PHP RPMs have been installed, run rpm -qa |grep php. You should see:


    php-common-5.2.3-1
    php-5.2.3-1
    php-cli-5.2.3-1

The php-oci8 package depends on Oracle's free Instant Client Basic package and on PHP's php-pdo package. To install the Oracle components:
  1. Download oracle-instantclient-basic-10.2.0.3-1.i386.rpm and install it with:


    rpm -ivh oracle-instantclient-basic-10.2.0.3-1.i386.rpm
  2. Install PHP's PDO extension with:


    rpm -ivh php-pdo-5.2.3-1.i386.rpm

  3. Install PHP's Oracle OCI8 and PDO_OCI extensions with:


    rpm -ivh php-oci8-5.2.3-1.i386.rpm 

You're done.

Alison

Comments:

I know this is a little off topic, but do you have any info on instantclient for OSX Intel machines? I have contacted our Oracle account rep, but haven't heard back yet. Too bad it isn't open source so I could just compile it. Any info would be great! Thanks! Mark

Posted by Mark Shropshire on July 03, 2007 at 12:58 PM DDUT #

A quick search of otn.oracle.com gave me this: http://www.oracle.com/technology/software/tech/oci/instantclient/htdocs/macsoft.html That should be what you're after.

Posted by Alison Holloway on July 03, 2007 at 01:56 PM DDUT #

There is no Instant Client for Intel Mac. Please keep contacting account reps etc so Oracle can accurately gauge the demand. As I said in http://forums.oracle.com/forums/thread.jspa?threadID=515188&tstart=0 it is NOT a small effort to support a new platform.

Posted by ChristopherJones on July 04, 2007 at 05:29 AM DDUT #

Thanks for the info Christopher!

Posted by Mark Shropshire on July 05, 2007 at 07:42 AM DDUT #

Hi, Thanks for your information. After a lot try I am able to install oracle-instantclient-devel-10.2.0.4-1.i386.rpm, will it be compatible with php-oci8-5.2.3-1.i386.rpm and where can I find php-oci8 version. Thanks,

Posted by Monir on August 01, 2008 at 03:09 PM DDUT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

A blog on Oracle VM, PHP and any other projects I work on.

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today